*{

    padding: 0;
    margin: 0;
    outline: none;
    border: none;
    box-sizing: border-box;
}

body, html { 
    overflow: hidden;
}

body{
    
    background-image: url('assets/bg_bgmain.png');
    background-repeat: no-repeat;
    background-size:contain;
    font-family: 'Poppins', sans-serif;
    background-color: #000000;
}


@media (max-width: 768px) {
    .link a,.hire-me{
        font-size:100%;
    }
    
  }
  
@media (min-width: 768px) {
    .link a,.hire-me{
        font-size:175%;
    }
    
  }
    

.main{
    display: flex;
    height: 100vh;
    width: 100vw;
    margin: 0;
    padding: 0;
    transition: all 0.5s ease;
    transform: translateY(-100%);    
    overflow: hidden;
    justify-content:center;
    
}



a{
    text-decoration: none;
}



.nav-bar{   
    display: flex;
    margin: auto;
    position: relative;
    height: 10vh;
    width: 100vw;
    padding:2em;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
    font-size:100%;
}

.options{
    align-items: center;
    display: flex;
    position: relative;
    
    
}

.nav-options{
    
    position: relative;
    align-items: center;
    display: flex;
    list-style: none;
    
    
}

.link a{
    
    position: relative;
    padding-bottom: 0.75em;
    color: white;
    cursor: pointer;
    margin: 0 1em;
}



.link a::after{
    content: "";
    position: absolute;
    top: 70%;
    height: 2px;
    width: 0;
    left:0;
    background-color: #56d6b0;
    transition: all 0.2s ease;
}

.link a:hover::after{
    width: 70%;
}

.link a.active:after {
    content: "";
    position: absolute;
    top: 70%;
    height: 2px;
    width: 70%; /* Make sure this matches the width in your hover effect */
    left: 0;
    background-color: #56d6b6;
    transition: all 0.2s ease;
}


.hire-me{
    display: flex;
    position: relative;
    background-color: transparent;
    border: 2px solid #56d6b0;
    border-radius: 0.5em;
    color: white;
    padding: 1% 2%;
    justify-content: center;
    align-items: center;
    font-weight: 100;
    top: 0.5em;
    left: 5%;
    

    
}

.hire-me:hover{
    transition:  0.2s ease all;
    background-color: #56d6b0;
    color: white;
    cursor: pointer;
    text-shadow: 0 0 20px white;
    box-shadow: 0 0 20px #56d6b0;
}


.nav-title{
    display: flex;
    color: white;
    position: relative;
    font-weight: 200;
    font-size: 1.75em;
    margin-left: 20px;
    word-spacing: 1.25em;
    visibility: hidden;
}



.projects_screen{
    display: flex;
    position: relative;
    visibility: visible;
    margin: 0;
    padding: 0;
    opacity: 0;
    transform: translateY(-150%);
    height: 100vh;
    width: 100vw;
    flex-direction: column;
    transition: all 1s ease;
    overflow: auto;
   
}

.project-text{
    display: flex;
    background-color: white;
    height: auto;

}

.projects-container{
    display: flex;
    position: relative;
    /* background-color: white; */

    width: fit-content;
    height: 80%;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
}

.card{
    display: flex;
    margin-top: 10em;
    position: relative;
    background-color: rgb(36, 36, 36);
    margin: 2em;
    height: 30%;
    width: 35%;
    border-radius: 1em;
    box-shadow: 0 1em 3em black;
    transition: all 0.3s ease;
}

.card:hover{
    transform:scale(1.1);
    box-shadow: 0 0em 4em #56d6b0;
    cursor: pointer;
}

.card:hover img{
    opacity: 0.1;

}

.card:hover .card-title h3{
    opacity: 1;
    color: #56d6b0;
    text-shadow: 0 0 2em #56d6b0;
    
    font-weight: 300;
}

.card-pic{
    display: flex;
    background-color: rgb(12, 12, 12);
    height: 85%;
    width: 100%;
    overflow: hidden;
    border-radius: 1em 1em 0 0;
    
    
}

.card-pic img{
   opacity: 0.7;
   transition: all 0.6s ease;
   width: 110%;
   height: 150%;
}

.card-title{
    display: flex;
    position: absolute;
    width: 100%;
    height: 15%;
    top: 85%;
    justify-content: space-around;
    align-items: center;

    
}

.card-title h3{
    color: white;
    font-size: 1em;
    font-weight: 200;
    opacity: 0.9;
    transition: all 0.3s ease-in-out;
    
}

.card-desc{
    display: flex;
    position: absolute;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    top: 10%;
}

.card-desc p{
    /*margin: 1em 1em;*/
    margin-left:1em;
    margin-right:1em;
    font-size: 0.9em;
    font-weight: 400;
    color: white;
    opacity: 0.8;

}

.card-desc .desc-p1{
    transform: translateX(100%);
    transition: all 0.4s ease-in-out;
    opacity: 0;
    transition-delay: 0.1s;
}

.card:hover .card-desc .desc-p1{
    opacity: 1;
    transform: translateX(0);
}

.card-desc .desc-p2{
    transform: translateX(-100%);
    transition: all 0.4s ease-in-out;
    opacity: 0;
    transition-delay: 0.1s;
}

.card:hover .card-desc .desc-p2{
    opacity: 1;
    transform: translateX(0);
}

.socials{
    display: flex;
    position: relative;
    align-items: center;
    right: 1%;
    top: 40%;
    height: 8%;
    width:25vw;
    transition: transform 0.5s ease;
    margin-right:5vw;
    
    
}

.social-links{
    width:100%;
    display: flex;
    gap: 3.5vw;
    list-style: none;
    

}

.social-links a{
    text-decoration: none;
    color: #56d6b0;
    
}
.social-links a:hover{
    text-shadow: 0px 0px 15px #56d6b0 ;
    
    transition: all ease-in-out 0s;
}

.social-links i{
    font-size: 2.5vw;
}
.social-links i:hover{
    transition: all ease-in-out 0.1s;
    transform:scale(1.1);
}

.social-link{
    transition: opacity 1s ease;
    opacity: 1;
    
}


.picture{
    display: flex;
    position: relative;
    left: 5%;
    padding: 0;
    margin: 0;
    top: 5%;
    height: 85vh;
    width: 45vw;
    transition: all 1s ease;
    
}



.description{
    
    display: flex;
    position: relative;
    top: 27%;
    left: 2%;
    height: fit-content;
    flex-direction: column;
    justify-content: space-between;
    /* background-color: white; */
    align-items: center;
    width: fit-content;
    padding: 1%;

    transition: all 1s ease;
    
}


.greet{
    display: flex;
    align-self: flex-start;
    position: relative;
    top: 2%;
    left:15%;
    font-family: "Rubik", sans-serif;
    font-size: 1.5vw;
    font-weight: 500;
    color: rgb(255, 255, 255);
    opacity: 0.8;
    word-spacing: 0.2vw;
    transition: all 0.5s ease;
    
}

.name{
    display: flex;
    position: relative;
    font-size: 10vw;
    align-self: center;
    font-family: "Bai Jamjuree", sans-serif;
    color: #56d6b0;
    text-shadow: 0 0 8em #56d6b0 ;
    transition: all 0.85s ease;
}

.desc{
    display: flex;
    width: 30vw;
    height:fit-content;
    position: absolute;
    color: white;
    left: 15vw;
    flex-direction: column;
    font-size: 0.8vw;
    text-wrap: wrap;
    opacity: 0;
    transition: all 0.7s ease;
    overflow: auto;
}

.word{
    color: #56d6b0;

}

.desc_2{
    display: flex;
    width: 30vw;
    height:fit-content;
    position: absolute;
    color: white;
    left: 15vw;
    top:3vh;
    flex-direction: column;
    font-size: 0.8vw;
    text-wrap: wrap;
    opacity: 0;
    transition: all 0.7s ease;
    overflow: auto;
    transform: translateY(200%);
}

.desc_2 table{
    border-spacing: 2em ;
}

.connect_note{
    font-size: 1em;
}

.desc_up{
    display: flex;
    position: absolute;
    bottom:30vh;
    left: 25vw;
    transition: all 0.2s ease;
    opacity: 0;
    
}

.desc_up a{
    text-decoration: none;
    color: white;
    
    font-size: 1vw;

}

.desc_up a:hover{
    opacity: 1;
    transition: all 0.2s ease;
    text-shadow: 0 0 10px white;
}


.desc_down{
    display: flex;
    position: absolute;
    top: 110%;
    left: 25vw;
    transition: all 0.2s ease;
    opacity: 0;
    
    
}

.desc_down a{
    text-decoration: none;
    color: white;
    
    font-size: 1vw;

}

.desc_down a:hover{
    opacity: 1;
    transition: all 0.2s ease;
    text-shadow: 0 0 10px white;
}
